Campaign Briefs / REST API

Save icp rubric

Persist a revised ICP rubric onto a campaign brief. Use after revise-icp-rubric once the operator or coding agent accepts the revised criteria.

POST /api/v1/icp-tuning/saveDeterministic operation

Parameters

workspaceIdOptional · string
Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client.
briefIdRequired · string
Campaign brief id.
rubricRequired · object
Revised icpRubric to save to the brief.
Request example
curl -X POST "https://app.pipeline.help/api/v1/icp-tuning/save" \
  -H "Authorization: Bearer $PIPELINE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"briefId":"00000000-0000-4000-8000-000000000000","rubric":{"naturalLanguageCriteria":"Founder-led B2B software companies"}}'
Full input schema
Input schema
{
  "type": "object",
  "properties": {
    "workspaceId": {
      "type": "string",
      "minLength": 1,
      "description": "Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client."
    },
    "briefId": {
      "type": "string",
      "description": "Campaign brief id."
    },
    "rubric": {
      "type": "object",
      "description": "Revised icpRubric to save to the brief."
    }
  },
  "required": [
    "briefId",
    "rubric"
  ]
}
See this operation inCLI MCP TypeScript SDK
API reference | Pipeline v2 preview